| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
identity.php File Reference

## Functions
| identity_check_service_class ($account_id)
| validate_channelname ($name)
| create_dir_account ()
| channel_total ()
| create_identity ($arr)
| set_default_login_identity ($account_id, $channel_id, $force=true)
| identity_basic_export ($channel_id)
| identity_basic_import ($arr, $seize_primary=false)

## Function Documentation

channel_total | ( |  | ) |

Referenced by zfinger_init().

create_dir_account | ( |  | ) |

create_identity | ( |  | $arr | ) |

Referenced by create_dir_account(), and new_channel_post().

identity_basic_export | ( |  | $channel_id | ) |

Referenced by api_export_basic(), and uexport_init().

identity_basic_import | ( |  | $arr,
|  |  | $seize_primary = `false`
| ) |  |

identity_check_service_class | ( |  | $account_id | ) |

Referenced by create_identity().

set_default_login_identity | ( |  | $account_id,
|  |  | $channel_id,
|  |  | $force = `true`
| ) |  |

Referenced by create_identity(), and import_post().

validate_channelname | ( |  | $name | ) |

Referenced by create_identity(), and settings_post().